import { BigNumberish } from 'ethers';
import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { VotingEscrowWithRewardsTemplateContractPositionFetcher } from '../../../position/template/voting-escrow-with-rewards.template.contract-position-fetcher';
import { AngleApiHelper } from '../common/angle.api';
import { AngleContractFactory, AngleVeAngle, AngleLiquidityGauge } from '../contracts';
export declare class EthereumAngleVeAngleContractPositionFetcher extends VotingEscrowWithRewardsTemplateContractPositionFetcher<AngleVeAngle, AngleLiquidityGauge> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: AngleContractFactory;
    protected readonly angleApiHelper: AngleApiHelper;
    groupLabel: string;
    veTokenAddress: string;
    rewardAddress: string;
    constructor(appToolkit: IAppToolkit, contractFactory: AngleContractFactory, angleApiHelper: AngleApiHelper);
    getEscrowContract(address: string): AngleVeAngle;
    getRewardContract(address: string): AngleLiquidityGauge;
    getEscrowedTokenAddress(contract: AngleVeAngle): Promise<string>;
    getRewardTokenAddress(contract: AngleLiquidityGauge): Promise<string>;
    getEscrowedTokenBalance(address: string, contract: AngleVeAngle): Promise<BigNumberish>;
    getRewardTokenBalance(address: string, _contract: AngleLiquidityGauge): Promise<BigNumberish>;
}
